version: '3.4'

services:
  myfrontend:
    image: ${DOCKER_REGISTRY-}myfrontend
    build:
      context: .
      dockerfile: MyFrontEnd/Dockerfile
    ports:
      - "50115:50001"
      - "50116:80"
  
  myfrontend-dapr:
    image: "daprio/daprd:edge"
    command: [ "./daprd", "-app-id", "MyFrontEnd", "-app-port", "80" ]
    depends_on:
      - myfrontend
    network_mode: "service:myfrontend"

networks:
  default:
    external: true
    name: fw-dapr-network
